<?php
//about theme info
add_action( 'admin_menu', 'cctv_security_gettingstarted' );
function cctv_security_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'cctv-security'), esc_html__('About Theme', 'cctv-security'),'edit_theme_options', 'cctv_security_guide', 'cctv_security_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function cctv_security_admin_theme_style() {
   wp_enqueue_style('custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getting-started/getting-started.css');
}
add_action('admin_enqueue_scripts', 'cctv_security_admin_theme_style');

//guidline for about theme
function cctv_security_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'cctv-security' );

?>

<div class="wrapper-info">
	<div class="col-left">
		<div class="intro">
			<h3><?php esc_html_e( 'Welcome to CCTV Security WordPress Theme', 'cctv-security' ); ?> <span>Version: <?php echo esc_html($theme['Version']);?></span></h3>
		</div>
		<div class="started">
			<hr>
			<div class="free-doc">
				<div class="lz-4">
					<h4><?php esc_html_e( 'Start Customizing', 'cctv-security' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Go to', 'cctv-security' ); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizer', 'cctv-security' ); ?> </a> <?php esc_html_e( 'and start customizing your website', 'cctv-security' ); ?></span>
					</ul>
				</div>
				<div class="lz-4">
					<h4><?php esc_html_e( 'Support', 'cctv-security' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Send your query to our', 'cctv-security' ); ?> <a href="<?php echo esc_url( CCTV_SECURITY_SUPPORT ); ?>" target="_blank"> <?php esc_html_e( 'Support', 'cctv-security' ); ?></a></span>
					</ul>
				</div>
			</div>
			<p><?php esc_html_e( 'CCTV Security is a clean, minimalist, and functional theme with an elegant and professional design perfect for representing automation, security, surveillance agencies, bodyguard service providers, personal security agent, security product manufacturers, cameras and CCTV equipment providers, protection services, security camera, security system, and more. This theme is made retina-ready and comes with plenty of personalization options to easily modify the design in minimum effort. The design is minimal with an entire focus on the key content of your website and keeping the visitors interest intact. There is no need to touch codes since everything is made easy by the ready-made customization options. This theme has Woocommerce compatibility and makes use of SEO-friendly and highly optimized codes that result in better ranks in search engines and faster page load time. Thanks to these codes, you don’t really need to hire an SEO expert. It is built across the Bootstrap framework making the overall design is easily modifiable and its Call To Action Buttons (CTA) add more to the interactive part of this theme. You can’t miss the translation-ready feature of this theme as your content is made available in many different languages. There are many sections including Team, Testimonial, etc. for showing relevant info.', 'cctv-security')?></p>
			<hr>			
			<div class="col-left-inner">
				<h3><?php esc_html_e( 'Get started with Free CCTV Security Theme', 'cctv-security' ); ?></h3>
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/customizer-image.png" alt="" />
			</div>
		</div>
	</div>
	<div class="col-right">
		<div class="col-left-area">
			<h3><?php esc_html_e('Premium Theme Information', 'cctv-security'); ?></h3>
			<hr>
		</div>
		<div class="centerbold">
			<a href="<?php echo esc_url( CCTV_SECURITY_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'cctv-security'); ?></a>
			<a href="<?php echo esc_url( CCTV_SECURITY_BUY_NOW ); ?>"><?php esc_html_e('Buy Pro', 'cctv-security'); ?></a>
			<a href="<?php echo esc_url( CCTV_SECURITY_PRO_DOCS ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'cctv-security'); ?></a>
			<hr class="secondhr">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/cctv-security.jpg" alt="" />
		</div>
		<h3><?php esc_html_e( 'PREMIUM THEME FEATURES', 'cctv-security'); ?></h3>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon01.png" alt="" />
			<h4><?php esc_html_e( 'Banner Slider', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon02.png" alt="" />
			<h4><?php esc_html_e( 'Theme Options', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon03.png" alt="" />
			<h4><?php esc_html_e( 'Custom Innerpage Banner', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon04.png" alt="" />
			<h4><?php esc_html_e( 'Custom Colors and Images', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon05.png" alt="" />
			<h4><?php esc_html_e( 'Fully Responsive', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon06.png" alt="" />
			<h4><?php esc_html_e( 'Hide/Show Sections', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon07.png" alt="" />
			<h4><?php esc_html_e( 'Woocommerce Support', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon08.png" alt="" />
			<h4><?php esc_html_e( 'Limit to display number of Posts', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon09.png" alt="" />
			<h4><?php esc_html_e( 'Multiple Page Templates', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon10.png" alt="" />
			<h4><?php esc_html_e( 'Custom Read More link', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon11.png" alt="" />
			<h4><?php esc_html_e( 'Code written with WordPress standard', 'cctv-security'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon12.png" alt="" />
			<h4><?php esc_html_e( '100% Multi language', 'cctv-security'); ?></h4>
		</div>
	</div>
</div>
<?php } ?>